package pwc.taxtech.atms.dto;

import java.util.List;

public class CellTemplateConfigDto {

    private String CellTemplateID;
    private String TemplateID;
    private int RowIndex;
    private String RowName;
    private int ColumnIndex;
    private String ColumnName;
    private Integer DataType;
    private Integer IsReadOnly;
    private boolean HasFormula;
    private String Formula;
    private String ParsedFormula;
    private String FormulaDescription;
    private boolean HasVoucher;
    private List<String> AccountCodes;
    private boolean HasInvoice;
    private Integer InvoiceType;
    private List<String> TaxRate;
    private boolean HasKeyIn;
    private String Creator;
    private String Updater;
    private Integer InvoiceAmountType;
    private boolean HasModel;
    private List<String> ModelIDs;
    private List<Integer> InvoiceCategory;
    private String FormulaDataSource;
    private boolean HasValidation;
    private String Validation;
    private String ParsedValidation;
    private String ValidationDescription;
    private String VoucherKeyword;

    public String getCellTemplateID() {
        return CellTemplateID;
    }

    public void setCellTemplateID(String cellTemplateID) {
        CellTemplateID = cellTemplateID;
    }

    public String getTemplateID() {
        return TemplateID;
    }

    public void setTemplateID(String templateID) {
        TemplateID = templateID;
    }

    public int getRowIndex() {
        return RowIndex;
    }

    public void setRowIndex(int rowIndex) {
        RowIndex = rowIndex;
    }

    public String getRowName() {
        return RowName;
    }

    public void setRowName(String rowName) {
        RowName = rowName;
    }

    public int getColumnIndex() {
        return ColumnIndex;
    }

    public void setColumnIndex(int columnIndex) {
        ColumnIndex = columnIndex;
    }

    public String getColumnName() {
        return ColumnName;
    }

    public void setColumnName(String columnName) {
        ColumnName = columnName;
    }

    public Integer getDataType() {
        return DataType;
    }

    public void setDataType(Integer dataType) {
        DataType = dataType;
    }

    public Integer getIsReadOnly() {
        return IsReadOnly;
    }

    public void setIsReadOnly(Integer isReadOnly) {
        IsReadOnly = isReadOnly;
    }

    public boolean isHasFormula() {
        return HasFormula;
    }

    public void setHasFormula(boolean hasFormula) {
        HasFormula = hasFormula;
    }

    public String getFormula() {
        return Formula;
    }

    public void setFormula(String formula) {
        Formula = formula;
    }

    public String getParsedFormula() {
        return ParsedFormula;
    }

    public void setParsedFormula(String parsedFormula) {
        ParsedFormula = parsedFormula;
    }

    public String getFormulaDescription() {
        return FormulaDescription;
    }

    public void setFormulaDescription(String formulaDescription) {
        FormulaDescription = formulaDescription;
    }

    public boolean isHasVoucher() {
        return HasVoucher;
    }

    public void setHasVoucher(boolean hasVoucher) {
        HasVoucher = hasVoucher;
    }

    public List<String> getAccountCodes() {
        return AccountCodes;
    }

    public void setAccountCodes(List<String> accountCodes) {
        AccountCodes = accountCodes;
    }

    public boolean isHasInvoice() {
        return HasInvoice;
    }

    public void setHasInvoice(boolean hasInvoice) {
        HasInvoice = hasInvoice;
    }

    public Integer getInvoiceType() {
        return InvoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        InvoiceType = invoiceType;
    }

    public List<String> getTaxRate() {
        return TaxRate;
    }

    public void setTaxRate(List<String> taxRate) {
        TaxRate = taxRate;
    }

    public boolean isHasKeyIn() {
        return HasKeyIn;
    }

    public void setHasKeyIn(boolean hasKeyIn) {
        HasKeyIn = hasKeyIn;
    }

    public String getCreator() {
        return Creator;
    }

    public void setCreator(String creator) {
        Creator = creator;
    }

    public String getUpdater() {
        return Updater;
    }

    public void setUpdater(String updater) {
        Updater = updater;
    }

    public Integer getInvoiceAmountType() {
        return InvoiceAmountType;
    }

    public void setInvoiceAmountType(Integer invoiceAmountType) {
        InvoiceAmountType = invoiceAmountType;
    }

    public boolean isHasModel() {
        return HasModel;
    }

    public void setHasModel(boolean hasModel) {
        HasModel = hasModel;
    }

    public List<String> getModelIDs() {
        return ModelIDs;
    }

    public void setModelIDs(List<String> modelIDs) {
        ModelIDs = modelIDs;
    }

    public List<Integer> getInvoiceCategory() {
        return InvoiceCategory;
    }

    public void setInvoiceCategory(List<Integer> invoiceCategory) {
        InvoiceCategory = invoiceCategory;
    }

    public String getFormulaDataSource() {
        return FormulaDataSource;
    }

    public void setFormulaDataSource(String formulaDataSource) {
        FormulaDataSource = formulaDataSource;
    }

    public boolean isHasValidation() {
        return HasValidation;
    }

    public void setHasValidation(boolean hasValidation) {
        HasValidation = hasValidation;
    }

    public String getValidation() {
        return Validation;
    }

    public void setValidation(String validation) {
        Validation = validation;
    }

    public String getParsedValidation() {
        return ParsedValidation;
    }

    public void setParsedValidation(String parsedValidation) {
        ParsedValidation = parsedValidation;
    }

    public String getValidationDescription() {
        return ValidationDescription;
    }

    public void setValidationDescription(String validationDescription) {
        ValidationDescription = validationDescription;
    }

    public String getVoucherKeyword() {
        return VoucherKeyword;
    }

    public void setVoucherKeyword(String voucherKeyword) {
        VoucherKeyword = voucherKeyword;
    }
}
