package pwc.taxtech.atms.controller;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.ApiOperation;
import pwc.taxtech.atms.dto.KeyValueConfigDisplayDto;
import pwc.taxtech.atms.service.KeyValueConfigService;

@RestController
@RequestMapping("/api/v1/keyValueConfig")
public class KeyValueConfigController {
    private static final Logger logger = LoggerFactory.getLogger(EnterpriseAccountManagerController.class);
    
    @Autowired
    private KeyValueConfigService keyValueConfigService;
    
    @ApiOperation(value="get keyValueConfig")
    @RequestMapping(value="",method=RequestMethod.GET)
    public @ResponseBody List<KeyValueConfigDisplayDto> Get(){
    	return keyValueConfigService.Get();
    }
}
